#ifndef __DPMI_H__
#define	__DPMI_H__

typedef struct
{
  unsigned long DI, SI, BP, Reserved, BX, DX, CX, AX;
  unsigned Flags, ES, DS, FS, GS, IP, CS, SP, SS;
} DPMIREGS;

extern unsigned DPMIError;

unsigned AllocLDTDesc(void);
int FreeLDTDesc(unsigned sel);
int SetSegBase(unsigned sel, unsigned long seg);
int SetSegLimit(unsigned sel, unsigned long limit);

int SimulateRealModeInt(int intno, int stackwords, DPMIREGS *dregs);
void far *AllocDOSAlias(unsigned seg, unsigned ofs);
int FreeDOSAlias(void far *alias);

#endif

